## com.google.gwt.junit.client
Class IntRange

    java.lang.Object
      com.google.gwt.junit.client.IntRange

All Implemented Interfaces:
  Range

    public class IntRange

extends java.lang.Object
implements Range

A `Range` that iterates over a start and end value by a stepping function. Typically used by benchmarks to supply a range of values over an integral parameter, such as size or length.

Constructor Summary
`IntRange(int start, int end, Operator operator, int step)` Creates a new range that produces Iterators which begin at `start`, end at `end` and increment by the stepping function described by `operator` and `step`.

Method Summary
`java.util.Iterator` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntRange

    public IntRange(int start,
                    int end,
                    Operator operator,
                    int step)

  Creates a new range that produces Iterators which begin at `start`, end at `end` and increment by the stepping function described by `operator` and `step`.

  Parameters:
    `start` - Initial starting value, inclusive.
    `end` - Ending value, inclusive.
    `operator` - The function used to step.
    `step` - The amount to step by, for each iteration.

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `Range`